# ACE::VP_traits< T > Struct Template Reference

`Value_Ptr` traits template structure. More...

`#include <Value_Ptr.h>`

List of all members.

## Static Public Member Functions

T * | clone (T const *p)
| Copy the given object.

## Detailed Description

### template<typename T>
struct ACE::VP_traits< T >

`Value_Ptr` traits template structure.

The `Value_Ptr` template class delegates some operations to this template traits structure.

Specialize this trait template if cloning through copy construction is not sufficient. For example, to avoid slicing when copying an object through a base class pointer, one can implement a virtual "clone" method that can be used to polymorphically invoke the appropriate cloning operation(s). That virtual method would then be invoked by the `VP_traits<>` specialization.

## Member Function Documentation

template<typename T>
T* ACE::VP_traits< T >::clone | ( | T const * | p | ) | `[inline, static]`

| Copy the given object.

The documentation for this struct was generated from the following file:

- Value_Ptr.h